﻿using System;
using System.Diagnostics;

namespace Logging
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Beispiel 11");

            int id = 1;

            foreach (SourceLevels sl in Enum.GetValues(typeof(SourceLevels)))
            {
                Console.WriteLine("SourceLevel: " + sl.ToString());
                TraceSource loggingSource = new TraceSource("MeineTraceSource");
                SourceSwitch switch1 = new SourceSwitch("switch1", sl.ToString());
                loggingSource.Switch = switch1;

                foreach (TraceEventType et in Enum.GetValues(typeof(TraceEventType)))
                {
                    loggingSource.TraceEvent(et, id, "Logging: Eintrag mit TraceSource");
                    id++;
                }
                loggingSource.Close();
            }

            Console.ReadLine();
        }
    }
}
